/*
 * Class SED_READER_WRITER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_308 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_308 [] = {0xFF01,1551,307,0xFFFF};
static const EIF_TYPE_INDEX egt_2_308 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_3_308 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_308 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_308 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_6_308 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_7_308 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_308 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_308 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_308 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_308 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_308 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_13_308 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_308 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_308 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_308 [] = {0xFF01,923,0xFFFF};


static const struct desc_info desc_308[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_308), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_308), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_308), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_308), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_308), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_308), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_308), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_308), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_308), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_308), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_308), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_308), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0267 /*307*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_308), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6062, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6073, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6061, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6074, 0},
	{EIF_GENERIC(NULL), 6075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 6076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 6077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_308), 6078, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_308), 6079, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_308), 6080, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_308), 6081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 6065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6066, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6071, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6060, 0xFFFFFFFF},
};
void Init308(void)
{
	IDSC(desc_308, 0, 307);
	IDSC(desc_308 + 1, 1, 307);
	IDSC(desc_308 + 32, 131, 307);
}


#ifdef __cplusplus
}
#endif
